Bug 166858 - Disk-Druid makes it impossible to optimise the disk partition layout
Disk-Druid makes it impossible to optimise the disk partition layout
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
powerpc Linux
medium Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-26 10:52 EDT by John Hunter
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-30 14:49:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Hunter 2005-08-26 10:52:27 EDT
Description of problem: The disc layout/formatting utility is silly


Version-Release number of selected component (if applicable): FC4


How reproducible: guaranteed


Steps to Reproduce: just try to organise a sensible disc layout
1.
2.
3.
  
Actual results: randomly disposed partitions with the swap partition, in
particular, put in the worst possible place.


Expected results: The partitions placed in the actual order that they were
input. Usually, if you are configuring in `expert' mode, the human knows
better than any machine.


Additional info: If the disk-druid is going to be at all useful, it could do
worse (in fact it does) if it were to keep the partitions '/', swap and '/usr'
together in that order, regardless of any other partitions. Secondly, alien
partitions should be left where they are placed. Finally, why no xfs partitions
on a ppc?
Comment 1 Jeremy Katz 2005-08-30 14:49:06 EDT
The ordering is based on putting the biggest partition in the biggest freespace
and continuing to be able to optimize growing partitions.  Doing otherwise leads
to incredibly non-obvious user interaction.

If you have a deep care of exactly how partitions are laid out, you can use
parted from tty2.

Note You need to log in before you can comment on or make changes to this bug.